petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscStageLogGetEventPerfLog

This function returns the PetscEventPerfLog for the given stage.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStageLogGetEventPerfLog(PetscStageLog stageLog, int stage, PetscEventPerfLog *eventLog)

Not Collective Many br

### Input Parameters

| stageLog | - The PetscStageLog Many br
| stage | - The stage Many br

### Output Parameter

eventLog -The PetscEventPerfLog Many br

Many br

Developer Notes: Inline since called for EACH PetscEventLogBeginDefault() and PetscEventLogEndDefault() Many br

### Keywords

log, stage

### See Also

PetscStageLogPush(), PetscStageLogPop(), PetscLogGetStageLog()

Level:developer
Location:src/sys/logging/utils/stagelog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages